##### 7.5.21.0. normalizeRational

Procedure from library `olga.lib` (see olga_lib).

Usage:
  normalizeRational(v), intvec v

Purpose:
  compute a normal form of rational localization data

Return:
  intvec

Note:
  purges double entries and sorts ascendingly

Example:

    LIB "olga.lib";
    ring R; setring R;
    intvec v = 9,5,9,3,1,5;
    v = normalizeRational(v);
    v;
    ==> 1,3,5,9

User manual for Singular version 4.4.1, 2025, generated by texi2html.